Page MenuHomePhabricator

The text box for formula editing is 0px high when you insert a formula for the first time in the math dialog in Firefox
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. Make sure the page is not resized
  3. Open the math inspector

Observed Result:
There is no text box for formula editing except a thin blue line appearing inside the inspector

Event Timeline

Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 10:57 PM
Jdforrester-WMF renamed this task from The text box for formula editing does not appear when you first time open math inspector in full size view to The text box for formula editing is 0px high when you insert a formula for the first time in the math dialog in Firefox.Dec 15 2015, 8:22 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF added a subscriber: Tchanders.

This isn't just Firefox - it happens whenever Ace Editor loads before the dialog is appended. Solving by forcing editor to resize after the dialog is ready.

Change 260180 had a related patch set uploaded (by Tchanders):
Force Ace Editor to resize after the dialog has appended

https://gerrit.wikimedia.org/r/260180

Change 260180 merged by jenkins-bot:
Force Ace Editor to resize after the dialog has been rendered

https://gerrit.wikimedia.org/r/260180

Jdforrester-WMF closed this task as Resolved.Jan 3 2016, 7:49 PM
Jdforrester-WMF removed a project: Patch-For-Review.